---
title: HTMLTableElement.rules
slug: Web/API/HTMLTableElement/rules
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - NeedsBrowserCompatibility
  - NeedsSpecTable
  - Property
  - Reference
---
<div>
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>
</div>

<p>The <strong><code>HTMLTableElement.rules</code></strong> property indicates which cell borders to render in the table.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.rules = <em>rules</em>;
var <em>rules</em> = <em>HTMLTableElement</em>.rules;</pre>

<h3 id="Parameters">Parameters</h3>

<p><code>rules</code> is a string with one of the following values:</p>

<dl>
 <dt><code>none</code></dt>
 <dd>No rules</dd>
 <dt><code>groups</code></dt>
 <dd>Lines between groups only</dd>
 <dt><code>rows</code></dt>
 <dd>Lines between rows</dd>
 <dt><code>cols</code></dt>
 <dd>Lines between cols</dd>
 <dt><code>all</code></dt>
 <dd>Lines between all cells</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Turn on all the internal borders of a table
var t = document.getElementById("TableID");
t.rules = "all";</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li>W3C DOM 2 HTML Specification</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.rules")}}</p>
</div>
